version 0.2.6 v0.2.6
authorMats Johannesson <devel@bredband.net>
Thu, 26 Jun 2008 18:47:28 +0000 (14:47 -0400)
committerAristeu Rozanski <arozansk@redhat.com>
Thu, 26 Jun 2008 18:47:28 +0000 (14:47 -0400)
* Continuation of the maintenance by future proofing the ./configure phase
of the program compilation. We now examine what is returned from the commands
"pkg-config --variable=libdir x11" and "pkg-config --variable=includedir x11"
which is used to identify a modular X11R7 release. If that fails, we fall
back on a hardcoded /usr/X11R6/lib[64] and /usr/X11R6/include path for the
monolithic X11R6 releases. Failing that... the users can specify their own
paths through the "--with-xlib=" and/or "--with-xinc=" options. ".

14 files changed:
ChangeLog
INSTALL
Makefile.in
NEWS
configure
configure.in
old-extra/Makefile-expresskeys
old-extra/Makefile-expresskeysconf
src-expresskeys/Makefile.am
src-expresskeys/Makefile.in
src-expresskeys/config_read.c
src-expresskeys/globals.c
src-expresskeysconf/Makefile.am
src-expresskeysconf/Makefile.in

index cbc50d2..befeada 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,4 +1,15 @@
 
+_Version 0.2.6 25 Feb 2006_
+
+* Continuation of the maintenance by future proofing the ./configure phase
+of the program compilation. We now examine what is returned from the commands
+"pkg-config --variable=libdir x11" and "pkg-config --variable=includedir x11"
+which is used to identify a modular X11R7 release. If that fails, we fall
+back on a hardcoded /usr/X11R6/lib[64] and /usr/X11R6/include path for the
+monolithic X11R6 releases. Failing that... the users can specify their own
+paths through the "--with-xlib=" and/or "--with-xinc=" options. ".
+
+
 _Version 0.2.5 7 Feb 2006_
 
 [Absolutely no new functionality! A pure maintenance release to prevent
diff --git a/INSTALL b/INSTALL
index 41e7c45..94e540a 100644 (file)
--- a/INSTALL
+++ b/INSTALL
@@ -15,13 +15,16 @@ undesirable, eg:
 
 The binary will then be installed to a /home/user/bin directory instead.
 
-Use the "--with-xlib=" option if your Xlib environment is nonstandard.
-By default we look for /usr/X11R6/lib
-
 The old-extra directory holds the expresskeys-reread.sh and
 expresskeys-terminate.sh shell scripts. They are not installed by the
 GNU Autotools. Copy them manually if you want them.
 
+Use the "--with-xlib=" and/or "--with-xinc=" options if your Xlib environment
+is nonstandard. By default we test what is returned from the commands
+"pkg-config --variable=libdir x11" and "pkg-config --variable=includedir x11"
+which works in the modular X11R7 releases. If that fails, we try a hardcoded
+/usr/X11R6/lib[64] and /usr/X11R6/include for the monolithic X11R6 releases.
+
 --------------------------------------------------------------------------
 
 I've also left the old style Makefiles in the old-extra directory. If the
index a1f30fb..177cebc 100644 (file)
@@ -80,6 +80,7 @@ AWK = @AWK@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
+CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
@@ -87,8 +88,11 @@ DEPDIR = @DEPDIR@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
 ECHO_T = @ECHO_T@
+EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+EXPRESSKEYSCONF_INCL = @EXPRESSKEYSCONF_INCL@
 EXPRESSKEYSCONF_LIBS = @EXPRESSKEYSCONF_LIBS@
+EXPRESSKEYS_INCL = @EXPRESSKEYS_INCL@
 EXPRESSKEYS_LIBS = @EXPRESSKEYS_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
diff --git a/NEWS b/NEWS
index 896d873..6b830ec 100644 (file)
--- a/NEWS
+++ b/NEWS
@@ -1,5 +1,5 @@
 
 _Changes since last version. Executive summary_
 
-- Maintenance release for trouble prevention.
+- X11R6 monolithic and X11R7 modular X discovery at ./configure time.
 
index 0a71d6c..a2cd22c 100755 (executable)
--- a/configure
+++ b/configure
@@ -272,7 +272,44 @@ PACKAGE_STRING=
 PACKAGE_BUGREPORT=
 
 ac_unique_file="src-expresskeys/main_setup.c"
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE SRC_DIRS EXPRESSKEYS_LIBS EXPRESSKEYSCONF_LIBS LIBOBJS LTLIBOBJS'
+# Factoring default headers for most tests.
+ac_includes_default="\
+#include <stdio.h>
+#if HAVE_SYS_TYPES_H
+# include <sys/types.h>
+#endif
+#if HAVE_SYS_STAT_H
+# include <sys/stat.h>
+#endif
+#if STDC_HEADERS
+# include <stdlib.h>
+# include <stddef.h>
+#else
+# if HAVE_STDLIB_H
+#  include <stdlib.h>
+# endif
+#endif
+#if HAVE_STRING_H
+# if !STDC_HEADERS && HAVE_MEMORY_H
+#  include <memory.h>
+# endif
+# include <string.h>
+#endif
+#if HAVE_STRINGS_H
+# include <strings.h>
+#endif
+#if HAVE_INTTYPES_H
+# include <inttypes.h>
+#else
+# if HAVE_STDINT_H
+#  include <stdint.h>
+# endif
+#endif
+#if HAVE_UNISTD_H
+# include <unistd.h>
+#endif"
+
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CPP EGREP SRC_DIRS EXPRESSKEYS_LIBS EXPRESSKEYS_INCL EXPRESSKEYSCONF_LIBS EXPRESSKEYSCONF_INCL LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -729,6 +766,10 @@ ac_env_CPPFLAGS_set=${CPPFLAGS+set}
 ac_env_CPPFLAGS_value=$CPPFLAGS
 ac_cv_env_CPPFLAGS_set=${CPPFLAGS+set}
 ac_cv_env_CPPFLAGS_value=$CPPFLAGS
+ac_env_CPP_set=${CPP+set}
+ac_env_CPP_value=$CPP
+ac_cv_env_CPP_set=${CPP+set}
+ac_cv_env_CPP_value=$CPP
 
 #
 # Report the --help message.
@@ -816,7 +857,8 @@ Optional Features:
 Optional Packages:
   --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
   --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
-  --with-xlib=dir         uses a specified X11R6 directory
+  --with-xlib=dir         use a specified X library directory
+  --with-xinc=dir         use a specified X include directory
 
 Some influential environment variables:
   CC          C compiler command
@@ -825,6 +867,7 @@ Some influential environment variables:
               nonstandard directory <lib dir>
   CPPFLAGS    C/C++ preprocessor flags, e.g. -I<include dir> if you have
               headers in a nonstandard directory <include dir>
+  CPP         C preprocessor
 
 Use these variables to override the choices made by `configure' or to help
 it to find libraries and programs with nonstandard names/locations.
@@ -1573,7 +1616,7 @@ fi
 
 # Define the identity of the package.
  PACKAGE=expresskeys
- VERSION=0.2.5
+ VERSION=0.2.6
 
 
 cat >>confdefs.h <<_ACEOF
 
 
 
-SRC_DIRS=""
-SRC_EXPRESSKEYS=src-expresskeys
-SRC_EXPRESSKEYSCONF=src-expresskeysconf
-
-
-XLIBDIR_DEFAULT=/usr/X11R6/lib
-ENV_XLIB=no
-
-
-
-
-
-
-XLIBDIR=
+ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+echo "$as_me:$LINENO: checking how to run the C preprocessor" >&5
+echo $ECHO_N "checking how to run the C preprocessor... $ECHO_C" >&6
+# On Suns, sometimes $CPP names a directory.
+if test -n "$CPP" && test -d "$CPP"; then
+  CPP=
+fi
+if test -z "$CPP"; then
+  if test "${ac_cv_prog_CPP+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+      # Double quotes because CPP needs to be expanded
+    for CPP in "$CC -E" "$CC -E -traditional-cpp" "/lib/cpp"
+    do
+      ac_preproc_ok=false
+for ac_c_preproc_warn_flag in '' yes
+do
+  # Use a header file that comes with gcc, so configuring glibc
+  # with a fresh cross-compiler works.
+  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+  # <limits.h> exists even on freestanding compilers.
+  # On the NeXT, cc -E runs the code through the compiler's parser,
+  # not just through cpp. "Syntax error" is here to catch this case.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+                    Syntax error
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  :
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
-# Check whether --with-xlib or --without-xlib was given.
-if test "${with_xlib+set}" = set; then
-  withval="$with_xlib"
-  XLIBDIR=$withval
-fi;
+  # Broken: fails on valid input.
+continue
+fi
+rm -f conftest.err conftest.$ac_ext
 
-echo "$as_me:$LINENO: checking for Xlib directory" >&5
-echo $ECHO_N "checking for Xlib directory... $ECHO_C" >&6
-if test "$XLIBDIR" == "" || test "$XLIBDIR" == "yes"; then
-       if test -d $XLIBDIR_DEFAULT; then
-               XLIBDIR=$XLIBDIR_DEFAULT
-               ENV_XLIB=yes
-               echo "$as_me:$LINENO: result: found" >&5
-echo "${ECHO_T}found" >&6
-       else
-               ENV_XLIB=no
-               echo "$as_me:$LINENO: result: not found - tried $XLIBDIR_DEFAULT" >&5
-echo "${ECHO_T}not found - tried $XLIBDIR_DEFAULT" >&6
-       fi
-elif test -d $XLIBDIR; then
-       ENV_XLIB=yes
-       echo "$as_me:$LINENO: result: found" >&5
-echo "${ECHO_T}found" >&6
+  # OK, works on sane cases.  Now check whether non-existent headers
+  # can be detected and how.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <ac_nonexistent.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
 else
-       ENV_XLIB=no
-       echo "$as_me:$LINENO: result: not found - tried $XLIBDIR" >&5
-echo "${ECHO_T}not found - tried $XLIBDIR" >&6
+  ac_cpp_err=yes
 fi
+if test -z "$ac_cpp_err"; then
+  # Broken: success on invalid input.
+continue
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
 
+  # Passes both tests.
+ac_preproc_ok=:
+break
+fi
+rm -f conftest.err conftest.$ac_ext
 
-if test x$ENV_XLIB != xno; then
-
-SOMEERROR=0
+done
+# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
+rm -f conftest.err conftest.$ac_ext
+if $ac_preproc_ok; then
+  break
+fi
 
-echo $'\nChecking the X compiling environment in detail...\n'
+    done
+    ac_cv_prog_CPP=$CPP
 
-echo $'main(){}'|$CC -L$XLIBDIR -lX11 -xc - -o dum 2> /dev/null
-if test $? != 0 ; then
-   echo "Can not link with X11 (libX11.so) library!"
-   SOMEERROR=1
+fi
+  CPP=$ac_cv_prog_CPP
 else
-   echo "X11 OK"
+  ac_cv_prog_CPP=$CPP
 fi
-
-echo $'main(){}'|$CC -L$XLIBDIR -lXext -xc - -o dum 2> /dev/null
-if test $? != 0 ; then
-   echo "Can not link with Xext (libXext.so) library!"
-   SOMEERROR=1
+echo "$as_me:$LINENO: result: $CPP" >&5
+echo "${ECHO_T}$CPP" >&6
+ac_preproc_ok=false
+for ac_c_preproc_warn_flag in '' yes
+do
+  # Use a header file that comes with gcc, so configuring glibc
+  # with a fresh cross-compiler works.
+  # Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
+  # <limits.h> exists even on freestanding compilers.
+  # On the NeXT, cc -E runs the code through the compiler's parser,
+  # not just through cpp. "Syntax error" is here to catch this case.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#ifdef __STDC__
+# include <limits.h>
+#else
+# include <assert.h>
+#endif
+                    Syntax error
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
 else
-   echo "Xext OK"
+  ac_cpp_err=yes
 fi
-
-echo $'main(){}'|$CC -L$XLIBDIR -lXi -xc - -o dum 2> /dev/null
-if test $? != 0 ; then
-   echo "Can not link with Xi (libXi.so) library!"
-   SOMEERROR=1
+if test -z "$ac_cpp_err"; then
+  :
 else
-   echo "Xi OK"
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  # Broken: fails on valid input.
+continue
 fi
+rm -f conftest.err conftest.$ac_ext
 
-echo $'main(){}'|$CC -L$XLIBDIR -lXtst -xc - -o dum 2> /dev/null
-if test $? != 0 ; then
-   echo "Can not link with Xtst (libXtst.so) library!"
-   SOMEERROR=1
+  # OK, works on sane cases.  Now check whether non-existent headers
+  # can be detected and how.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <ac_nonexistent.h>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
 else
-   echo "Xtst OK"
+  ac_cpp_err=yes
 fi
-
-echo $'#include <X11/Xlib.h>\nmain(){}'|$CC -L$XLIBDIR -xc - -o dum 2> /dev/null
-if test $? != 0 ; then
-   echo "Can not include <X11/Xlib.h> header file!"
-   SOMEERROR=1
+if test -z "$ac_cpp_err"; then
+  # Broken: success on invalid input.
+continue
 else
-   echo "Xlib.h OK"
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  # Passes both tests.
+ac_preproc_ok=:
+break
 fi
+rm -f conftest.err conftest.$ac_ext
 
-echo $'#include <X11/Xutil.h>\nmain(){}'|$CC -L$XLIBDIR -xc - -o dum 2> /dev/null
-if test $? != 0 ; then
-   echo "Can not include <X11/Xutil.h> header file!"
-   SOMEERROR=1
+done
+# Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
+rm -f conftest.err conftest.$ac_ext
+if $ac_preproc_ok; then
+  :
 else
-   echo "Xutil.h OK"
+  { { echo "$as_me:$LINENO: error: C preprocessor \"$CPP\" fails sanity check
+See \`config.log' for more details." >&5
+echo "$as_me: error: C preprocessor \"$CPP\" fails sanity check
+See \`config.log' for more details." >&2;}
+   { (exit 1); exit 1; }; }
 fi
 
-echo $'#include <X11/extensions/XInput.h>\nmain(){}'|$CC -L$XLIBDIR -xc - -o dum 2>/dev/null
-if test $? != 0 ; then
-   echo "Can not include <X11/extensions/XInput.h> header file!"
-   SOMEERROR=1
+ac_ext=c
+ac_cpp='$CPP $CPPFLAGS'
+ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
+ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
+ac_compiler_gnu=$ac_cv_c_compiler_gnu
+
+
+echo "$as_me:$LINENO: checking for egrep" >&5
+echo $ECHO_N "checking for egrep... $ECHO_C" >&6
+if test "${ac_cv_prog_egrep+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
 else
-   echo "XInput.h OK"
+  if echo a | (grep -E '(a|b)') >/dev/null 2>&1
+    then ac_cv_prog_egrep='grep -E'
+    else ac_cv_prog_egrep='egrep'
+    fi
 fi
+echo "$as_me:$LINENO: result: $ac_cv_prog_egrep" >&5
+echo "${ECHO_T}$ac_cv_prog_egrep" >&6
+ EGREP=$ac_cv_prog_egrep
 
-echo $'#include <X11/extensions/XTest.h>\nmain(){}'|$CC -L$XLIBDIR -xc - -o dum 2>/dev/null
-if test $? != 0 ; then
-   echo "Can not include <X11/extensions/XTest.h> header file!"
-   SOMEERROR=1
+
+echo "$as_me:$LINENO: checking for ANSI C header files" >&5
+echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6
+if test "${ac_cv_header_stdc+set}" = set; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <stdlib.h>
+#include <stdarg.h>
+#include <string.h>
+#include <float.h>
+
+int
+main ()
+{
+
+  ;
+  return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_cv_header_stdc=yes
 else
-   echo "XTest.h OK"
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_cv_header_stdc=no
 fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
 
-rm -f dum
+if test $ac_cv_header_stdc = yes; then
+  # SunOS 4.x string.h does not declare mem*, contrary to ANSI.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <string.h>
 
-if test $SOMEERROR != 0 ; then
-   echo $'\nThe X compiling environment is NOT complete!
-Some linux distributions omit parts of, or sometimes
-the whole, X development environment. Based on the
-error message(s) above you should be able to hunt down
-which package(s) you need to install. For example, one
-distribution call their xinput and xtest packages
-libxi-dev and libxtst-dev\n'
-   exit
+_ACEOF
+if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+  $EGREP "memchr" >/dev/null 2>&1; then
+  :
 else
-   echo $'\nThe X compiling environment seems to be all OK\n'
+  ac_cv_header_stdc=no
 fi
+rm -f conftest*
 
 fi
 
+if test $ac_cv_header_stdc = yes; then
+  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI.
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <stdlib.h>
 
+_ACEOF
+if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
+  $EGREP "free" >/dev/null 2>&1; then
+  :
+else
+  ac_cv_header_stdc=no
+fi
+rm -f conftest*
 
-EXPRESSKEYS_DEFAULT=yes
-OPTION_EXPRESSKEYS=no
-# Check whether --enable-expresskeys or --disable-expresskeys was given.
-if test "${enable_expresskeys+set}" = set; then
-  enableval="$enable_expresskeys"
+fi
+
+if test $ac_cv_header_stdc = yes; then
+  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi.
+  if test "$cross_compiling" = yes; then
+  :
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <ctype.h>
+#if ((' ' & 0x0FF) == 0x020)
+# define ISLOWER(c) ('a' <= (c) && (c) <= 'z')
+# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c))
+#else
+# define ISLOWER(c) \
+                  (('a' <= (c) && (c) <= 'i') \
+                    || ('j' <= (c) && (c) <= 'r') \
+                    || ('s' <= (c) && (c) <= 'z'))
+# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c))
+#endif
+
+#define XOR(e, f) (((e) && !(f)) || (!(e) && (f)))
+int
+main ()
+{
+  int i;
+  for (i = 0; i < 256; i++)
+    if (XOR (islower (i), ISLOWER (i))
+       || toupper (i) != TOUPPER (i))
+      exit(2);
+  exit (0);
+}
+_ACEOF
+rm -f conftest$ac_exeext
+if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
+  (eval $ac_link) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  :
+else
+  echo "$as_me: program exited with status $ac_status" >&5
+echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+( exit $ac_status )
+ac_cv_header_stdc=no
+fi
+rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
+fi
+fi
+fi
+echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5
+echo "${ECHO_T}$ac_cv_header_stdc" >&6
+if test $ac_cv_header_stdc = yes; then
+
+cat >>confdefs.h <<\_ACEOF
+#define STDC_HEADERS 1
+_ACEOF
+
+fi
+
+# On IRIX 5.3, sys/types and inttypes.h are conflicting.
+
+
+
+
+
+
+
+
+
+for ac_header in sys/types.h sys/stat.h stdlib.h string.h memory.h strings.h \
+                 inttypes.h stdint.h unistd.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  eval "$as_ac_Header=yes"
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+eval "$as_ac_Header=no"
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+
+
+
+
+for ac_header in stdio.h ctype.h signal.h libgen.h
+do
+as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+else
+  # Is the header compilable?
+echo "$as_me:$LINENO: checking $ac_header usability" >&5
+echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+$ac_includes_default
+#include <$ac_header>
+_ACEOF
+rm -f conftest.$ac_objext
+if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
+  (eval $ac_compile) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } &&
+        { ac_try='test -z "$ac_c_werror_flag"
+                        || test ! -s conftest.err'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; } &&
+        { ac_try='test -s conftest.$ac_objext'
+  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
+  (eval $ac_try) 2>&5
+  ac_status=$?
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); }; }; then
+  ac_header_compiler=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ac_header_compiler=no
+fi
+rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
+echo "${ECHO_T}$ac_header_compiler" >&6
+
+# Is the header present?
+echo "$as_me:$LINENO: checking $ac_header presence" >&5
+echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h.  */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h.  */
+#include <$ac_header>
+_ACEOF
+if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
+  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
+  ac_status=$?
+  grep -v '^ *+' conftest.er1 >conftest.err
+  rm -f conftest.er1
+  cat conftest.err >&5
+  echo "$as_me:$LINENO: \$? = $ac_status" >&5
+  (exit $ac_status); } >/dev/null; then
+  if test -s conftest.err; then
+    ac_cpp_err=$ac_c_preproc_warn_flag
+    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
+  else
+    ac_cpp_err=
+  fi
+else
+  ac_cpp_err=yes
+fi
+if test -z "$ac_cpp_err"; then
+  ac_header_preproc=yes
+else
+  echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+  ac_header_preproc=no
+fi
+rm -f conftest.err conftest.$ac_ext
+echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
+echo "${ECHO_T}$ac_header_preproc" >&6
+
+# So?  What about this header?
+case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
+  yes:no: )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
+echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
+    ac_header_preproc=yes
+    ;;
+  no:yes:* )
+    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
+echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
+echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
+echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
+echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
+echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
+    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
+echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
+    (
+      cat <<\_ASBOX
+## ------------------------------------------ ##
+## Report this to the AC_PACKAGE_NAME lists.  ##
+## ------------------------------------------ ##
+_ASBOX
+    ) |
+      sed "s/^/$as_me: WARNING:     /" >&2
+    ;;
+esac
+echo "$as_me:$LINENO: checking for $ac_header" >&5
+echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
+if eval "test \"\${$as_ac_Header+set}\" = set"; then
+  echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+  eval "$as_ac_Header=\$ac_header_preproc"
+fi
+echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
+echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
+
+fi
+if test `eval echo '${'$as_ac_Header'}'` = yes; then
+  cat >>confdefs.h <<_ACEOF
+#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
+_ACEOF
+
+fi
+
+done
+
+
+
+SRC_DIRS=""
+SRC_EXPRESSKEYS=src-expresskeys
+SRC_EXPRESSKEYSCONF=src-expresskeysconf
+
+
+if test -d /usr/X11R6/lib64 ; then
+       XLIBDIR_X11R6=/usr/X11R6/lib64
+else
+       XLIBDIR_X11R6=/usr/X11R6/lib
+fi
+
+XINCDIR_X11R6=/usr/X11R6/include
+
+
+ENV_XLIB=no
+ENV_XINC=no
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+XLIBDIR=
+
+# Check whether --with-xlib or --without-xlib was given.
+if test "${with_xlib+set}" = set; then
+  withval="$with_xlib"
+  XLIBDIR=$withval
+fi;
+
+echo "$as_me:$LINENO: checking for X library directory" >&5
+echo $ECHO_N "checking for X library directory... $ECHO_C" >&6
+
+if test "$XLIBDIR" == ""; then
+       XLIBDIR_X11R7=$(pkg-config --variable=libdir x11 2>/dev/null)
+       if test $? != 0 || test ! -d $XLIBDIR_X11R7; then
+               if test -d $XLIBDIR_X11R6; then
+                       XLIBDIR=$XLIBDIR_X11R6
+                       ENV_XLIB=yes
+                       echo "$as_me:$LINENO: result: found $XLIBDIR" >&5
+echo "${ECHO_T}found $XLIBDIR" >&6
+               else
+                       ENV_XLIB=no
+                       echo "$as_me:$LINENO: result: not found - tried $XLIBDIR_X11R6" >&5
+echo "${ECHO_T}not found - tried $XLIBDIR_X11R6" >&6
+               fi
+       else
+               XLIBDIR=$XLIBDIR_X11R7
+               ENV_XLIB=yes
+               echo "$as_me:$LINENO: result: found $XLIBDIR" >&5
+echo "${ECHO_T}found $XLIBDIR" >&6
+       fi
+elif test -d $XLIBDIR; then
+       ENV_XLIB=yes
+       echo "$as_me:$LINENO: result: found $XLIBDIR" >&5
+echo "${ECHO_T}found $XLIBDIR" >&6
+else
+       ENV_XLIB=no
+       echo "$as_me:$LINENO: result: not found - tried $XLIBDIR" >&5
+echo "${ECHO_T}not found - tried $XLIBDIR" >&6
+fi
+
+
+XINCDIR=
+
+# Check whether --with-xinc or --without-xinc was given.
+if test "${with_xinc+set}" = set; then
+  withval="$with_xinc"
+  XINCDIR=$withval
+fi;
+
+echo "$as_me:$LINENO: checking for X include directory" >&5
+echo $ECHO_N "checking for X include directory... $ECHO_C" >&6
+
+if test "$XINCDIR" == ""; then
+        XINCDIR_X11R7=$(pkg-config --variable=includedir x11 2>/dev/null)
+        if test $? != 0 || test ! -d $XINCDIR_X11R7; then
+                if test -d $XINCDIR_X11R6; then
+                        XINCDIR=$XINCDIR_X11R6
+                        ENV_XINC=yes
+                        echo "$as_me:$LINENO: result: found $XINCDIR" >&5
+echo "${ECHO_T}found $XINCDIR" >&6
+                else
+                        ENV_XINC=no
+                        echo "$as_me:$LINENO: result: not found - tried $XINCDIR_X11R6" >&5
+echo "${ECHO_T}not found - tried $XINCDIR_X11R6" >&6
+                fi
+        else
+                XINCDIR=$XINCDIR_X11R7
+                ENV_XINC=yes
+                echo "$as_me:$LINENO: result: found $XINCDIR" >&5
+echo "${ECHO_T}found $XINCDIR" >&6
+        fi
+elif test -d $XINCDIR; then
+        ENV_XINC=yes
+        echo "$as_me:$LINENO: result: found $XINCDIR" >&5
+echo "${ECHO_T}found $XINCDIR" >&6
+else
+        ENV_XINC=no
+        echo "$as_me:$LINENO: result: not found - tried $XINCDIR" >&5
+echo "${ECHO_T}not found - tried $XINCDIR" >&6
+fi
+
+
+
+EXPRESSKEYS_DEFAULT=yes
+OPTION_EXPRESSKEYS=no
+# Check whether --enable-expresskeys or --disable-expresskeys was given.
+if test "${enable_expresskeys+set}" = set; then
+  enableval="$enable_expresskeys"
 
 else
   enable_expresskeys=$EXPRESSKEYS_DEFAULT
 fi;
 if test "$enable_expresskeys" != "no"; then
        if test x$ENV_XLIB != xyes; then
-               echo "***"; echo "*** WARNING:";
-               echo "*** expresskeys requires Xlib environment."
-               echo "*** expresskeys will not be built."
-                echo "*** Try ./configure --with-xlib=/some/directory"
-                echo "*** if your Xlib environment is nonstandard."
-                echo "*** By default we look for /usr/X11R6/lib"
+               echo "***"; echo "*** WARNING libraries:";
+               echo "*** We failed to locate a full Xlib environment,"
+               echo "*** and will therefore not build expresskeys."
+                echo "*** Try './configure --with-xlib=/some/directory'"
+                echo "*** where your Xlib libraries can be found."
+                echo "*** By default we test what is returned from the"
+               echo "*** command 'pkg-config --variable=libdir x11'"
+               echo "*** which works in the modular X11R7 releases."
+               echo "*** If that fails, we try a hardcoded $XLIBDIR_X11R6"
+               echo "*** for the monolithic X11R6 releases. Both these"
+               echo "*** tests have obviously failed to produce a path."
+               echo "*** "
                echo "***"
                 exit
        else
@@ -2991,6 +3663,24 @@ if test "$enable_expresskeys" != "no"; then
                EXPRESSKEYS_LIBS="-L$XLIBDIR -lX11 -lXi -lXtst"
                SRC_DIRS="$SRC_DIRS $SRC_EXPRESSKEYS"
        fi
+       if test x$ENV_XINC != xyes; then
+               echo "***"; echo "*** WARNING include files:";
+               echo "*** We failed to locate a full Xlib environment,"
+               echo "*** and will therefore not build expresskeys."
+               echo "*** Try './configure --with-xinc=/some/directory'"
+               echo "*** where your Xlib include files can be found."
+               echo "*** By default we test what is returned from the"
+               echo "*** command 'pkg-config --variable=includedir x11'"
+               echo "*** which works in the modular X11R7 releases."
+               echo "*** If that fails, we try a hardcoded $XINCDIR_X11R6"
+               echo "*** for the monolithic X11R6 releases. Both these"
+               echo "*** tests have obviously failed to produce a path."
+               echo "*** "
+               echo "***"
+               exit
+       else
+               EXPRESSKEYS_INCL="-I$XINCDIR"
+       fi
 fi
 
 
@@ -3005,21 +3695,135 @@ else
 fi;
 if test "$enable_expresskeysconf" != "no"; then
        if test x$ENV_XLIB != xyes; then
-               echo "***"; echo "*** WARNING:";
-               echo "*** expresskeysconf requires Xlib environment."
-               echo "*** expresskeysconf will not be built."
-                echo "*** Try ./configure --with-xlib=/some/directory"
-                echo "*** if your Xlib environment is nonstandard."
-                echo "*** By default we look for /usr/X11R6/lib"
-               echo "***"
+                echo "***"; echo "*** WARNING libraries:";
+                echo "*** We failed to locate a full Xlib environment,"
+                echo "*** and will therefore not build expresskeysconf."
+                echo "*** Try './configure --with-xlib=/some/directory'"
+                echo "*** where your Xlib libraries can be found."
+                echo "*** By default we test what is returned from the"
+                echo "*** command 'pkg-config --variable=libdir x11'"
+                echo "*** which works in the modular X11R7 releases."
+                echo "*** If that fails, we try a hardcoded $XLIBDIR_X11R6"
+                echo "*** for the monolithic X11R6 releases. Both these"
+                echo "*** tests have obviously failed to produce a path."
+                echo "*** "
+                echo "***"
                 exit
        else
                OPTION_EXPRESSKEYSCONF=yes
                EXPRESSKEYSCONF_LIBS="-L$XLIBDIR -lX11"
                SRC_DIRS="$SRC_DIRS $SRC_EXPRESSKEYSCONF"
        fi
+       if test x$ENV_XINC != xyes; then
+               echo "***"; echo "*** WARNING include files:";
+               echo "*** We failed to locate a full Xlib environment,"
+               echo "*** and will therefore not build expresskeysconf."
+               echo "*** Try './configure --with-xinc=/some/directory'"
+               echo "*** where your Xlib include files can be found."
+               echo "*** By default we test what is returned from the"
+               echo "*** command 'pkg-config --variable=includedir x11'"
+               echo "*** which works in the modular X11R7 releases."
+               echo "*** If that fails, we try a hardcoded $XINCDIR_X11R6"
+               echo "*** for the monolithic X11R6 releases. Both these"
+               echo "*** tests have obviously failed to produce a path."
+               echo "*** "
+               echo "***"
+               exit
+       else
+               EXPRESSKEYSCONF_INCL="-I$XINCDIR"
+       fi
+fi
+
+
+
+
+SOMEERROR=0
+
+echo $'\nChecking the X compiling environment in detail...\n'
+
+echo $'main(){}'|$CC -L$XLIBDIR -lX11 -xc - -o dum 2> /dev/null
+if test $? != 0 ; then
+   echo "Can not link with X11 $XLIBDIR/libX11.so library!"
+   SOMEERROR=1
+else
+   echo "$XLIBDIR/libX11.so OK"
+fi
+
+echo $'main(){}'|$CC -L$XLIBDIR -lXext -xc - -o dum 2> /dev/null
+if test $? != 0 ; then
+   echo "Can not link with Xext $XLIBDIR/libXext.so library!"
+   SOMEERROR=1
+else
+   echo "$XLIBDIR/libXext.so OK"
+fi
+
+echo $'main(){}'|$CC -L$XLIBDIR -lXi -xc - -o dum 2> /dev/null
+if test $? != 0 ; then
+   echo "Can not link with Xi $XLIBDIR/libXi.so library!"
+   SOMEERROR=1
+else
+   echo "$XLIBDIR/libXi.so OK"
+fi
+
+echo $'main(){}'|$CC -L$XLIBDIR -lXtst -xc - -o dum 2> /dev/null
+if test $? != 0 ; then
+   echo "Can not link with Xtst $XLIBDIR/libXtst.so library!"
+   SOMEERROR=1
+else
+   echo "$XLIBDIR/libXtst.so OK"
 fi
 
+echo $'#include <X11/Xlib.h>\nmain(){}'|$CC -I$XINCDIR -xc - -o dum 2> /dev/null
+if test $? != 0 ; then
+   echo "Can not include $XINCDIR/X11/Xlib.h header file!"
+   SOMEERROR=1
+else
+   echo "$XINCDIR/X11/Xlib.h OK"
+fi
+
+echo $'#include <X11/Xutil.h>\nmain(){}'|$CC -I$XINCDIR -xc - -o dum 2> /dev/null
+if test $? != 0 ; then
+   echo "Can not include $XINCDIR/X11/Xutil.h header file!"
+   SOMEERROR=1
+else
+   echo "$XINCDIR/X11/Xutil.h OK"
+fi
+
+echo $'#include <X11/extensions/XInput.h>\nmain(){}'|$CC -I$XINCDIR -xc - -o dum 2>/dev/null
+if test $? != 0 ; then
+   echo "Can not include $XINCDIR/X11/extensions/XInput.h header file!"
+   SOMEERROR=1
+else
+   echo "$XINCDIR/X11/extensions/XInput.h OK"
+fi
+
+echo $'#include <X11/extensions/XTest.h>\nmain(){}'|$CC -I$XINCDIR -xc - -o dum 2>/dev/null
+if test $? != 0 ; then
+   echo "Can not include $XINCDIR/X11/extensions/XTest.h header file!"
+   SOMEERROR=1
+else
+   echo "$XINCDIR/X11/extensions/XTest.h OK"
+fi
+
+rm -f dum
+
+if test $SOMEERROR != 0 ; then
+   echo $'\nThe X compiling environment is NOT complete!
+Some linux distributions omit parts of, or sometimes
+the whole, X development environment. Based on the
+error message(s) above you should be able to hunt down
+which package(s) you need to install. For example, one
+distribution call their xinput and xtest packages
+libxi-dev and libxtst-dev\n'
+   exit
+else
+   echo $'\nThe X compiling environment seems to be all OK\n'
+fi
+
+
+
+
+
 
 
 
@@ -3714,9 +4518,13 @@ s,@AMDEPBACKSLASH@,$AMDEPBACKSLASH,;t t
 s,@CCDEPMODE@,$CCDEPMODE,;t t
 s,@am__fastdepCC_TRUE@,$am__fastdepCC_TRUE,;t t
 s,@am__fastdepCC_FALSE@,$am__fastdepCC_FALSE,;t t
+s,@CPP@,$CPP,;t t
+s,@EGREP@,$EGREP,;t t
 s,@SRC_DIRS@,$SRC_DIRS,;t t
 s,@EXPRESSKEYS_LIBS@,$EXPRESSKEYS_LIBS,;t t
+s,@EXPRESSKEYS_INCL@,$EXPRESSKEYS_INCL,;t t
 s,@EXPRESSKEYSCONF_LIBS@,$EXPRESSKEYSCONF_LIBS,;t t
+s,@EXPRESSKEYSCONF_INCL@,$EXPRESSKEYSCONF_INCL,;t t
 s,@LIBOBJS@,$LIBOBJS,;t t
 s,@LTLIBOBJS@,$LTLIBOBJS,;t t
 CEOF
@@ -4439,11 +5247,12 @@ fi
 echo ""
 echo "----------------------------------------"
 echo "  BUILD ENVIRONMENT:"
-echo "            Xlib - $ENV_XLIB $XLIBDIR"
+echo "      X libraries - $ENV_XLIB $XLIBDIR"
+echo "       X includes - $ENV_XINC $XINCDIR"
 echo ""
 echo "  BUILD OPTIONS:"
-echo " expresskeysconf - $OPTION_EXPRESSKEYSCONF <-- (Non-working dummy file)"
-echo "     expresskeys - $OPTION_EXPRESSKEYS"
+echo "  expresskeysconf - $OPTION_EXPRESSKEYSCONF <-- (Non-working dummy file)"
+echo "      expresskeys - $OPTION_EXPRESSKEYS"
 echo "----------------------------------------"
 echo ""
 
index ea7e373..45c21dd 100644 (file)
@@ -1,13 +1,16 @@
 dnl --- Process this file with autoconf to produce a configure script ---
 
-dnl --- Style and most code below nicked from the linuxwacom package ;-) ---
+dnl --- Style and some code below nicked from the linuxwacom package ;-) ---
 
 AC_INIT(src-expresskeys/main_setup.c)
 AM_CONFIG_HEADER(config.h)
-AM_INIT_AUTOMAKE(expresskeys, 0.2.5)
+AM_INIT_AUTOMAKE(expresskeys, 0.2.6)
 AM_MAINTAINER_MODE
 AC_PROG_CC
 
+dnl --- Check for the presence of header files not included in a standard check.
+AC_CHECK_HEADERS([stdio.h ctype.h signal.h libgen.h])
+
 dnl --- Specify our source directories. OBS: If they change, AC_OUTPUT must
 dnl also be changed accordingly (at the end of this file) ---
 
@@ -15,38 +18,98 @@ SRC_DIRS=""
 SRC_EXPRESSKEYS=src-expresskeys
 SRC_EXPRESSKEYSCONF=src-expresskeysconf
 
-dnl --- Begin function for checking Xlib development environment ---
+dnl --- Specify some old monolithic X paths. 
+
+if test -d /usr/X11R6/lib64 ; then
+       XLIBDIR_X11R6=/usr/X11R6/lib64
+else
+       XLIBDIR_X11R6=/usr/X11R6/lib
+fi
+
+XINCDIR_X11R6=/usr/X11R6/include
+
+dnl --- Start with a clean slate.
 
-XLIBDIR_DEFAULT=/usr/X11R6/lib
 ENV_XLIB=no
+ENV_XINC=no
+
+dnl --- Begin function for checking Xlib library environment ---
 
 AC_DEFUN([AC_CHECK_XLIB],[
 XLIBDIR=
 AC_ARG_WITH(xlib,
-AS_HELP_STRING([--with-xlib=dir], [uses a specified X11R6 directory]),
+AS_HELP_STRING([--with-xlib=dir], [use a specified X library directory]),
 [XLIBDIR=$withval])
 
-AC_MSG_CHECKING(for Xlib directory)
-if test "$XLIBDIR" == "" || test "$XLIBDIR" == "yes"; then
-       if test -d $XLIBDIR_DEFAULT; then
-               XLIBDIR=$XLIBDIR_DEFAULT
-               ENV_XLIB=yes
-               AC_MSG_RESULT(found)
+AC_MSG_CHECKING(for X library directory)
+
+if test "$XLIBDIR" == ""; then
+       XLIBDIR_X11R7=$(pkg-config --variable=libdir x11 2>/dev/null)
+       if test $? != 0 || test ! -d $XLIBDIR_X11R7; then
+               if test -d $XLIBDIR_X11R6; then
+                       XLIBDIR=$XLIBDIR_X11R6
+                       ENV_XLIB=yes
+                       AC_MSG_RESULT(found $XLIBDIR)
+               else
+                       ENV_XLIB=no
+                       AC_MSG_RESULT(not found - tried $XLIBDIR_X11R6)
+               fi
        else
-               ENV_XLIB=no
-               AC_MSG_RESULT(not found - tried $XLIBDIR_DEFAULT)
+               XLIBDIR=$XLIBDIR_X11R7
+               ENV_XLIB=yes
+               AC_MSG_RESULT(found $XLIBDIR)
        fi
 elif test -d $XLIBDIR; then
        ENV_XLIB=yes
-       AC_MSG_RESULT(found)
+       AC_MSG_RESULT(found $XLIBDIR)
 else
        ENV_XLIB=no
        AC_MSG_RESULT(not found - tried $XLIBDIR)
 fi
+])
 
-dnl --- Make sure we can use all required X libraries and header files ---
+dnl --- End function for checking Xlib library environment ---
+
+dnl --- Begin function for checking Xlib include environment ---
+
+AC_DEFUN([AC_CHECK_XINC],[
+XINCDIR=
+AC_ARG_WITH(xinc,
+AS_HELP_STRING([--with-xinc=dir], [use a specified X include directory]),
+[XINCDIR=$withval])
+
+AC_MSG_CHECKING(for X include directory)
+
+if test "$XINCDIR" == ""; then
+        XINCDIR_X11R7=$(pkg-config --variable=includedir x11 2>/dev/null)
+        if test $? != 0 || test ! -d $XINCDIR_X11R7; then
+                if test -d $XINCDIR_X11R6; then
+                        XINCDIR=$XINCDIR_X11R6
+                        ENV_XINC=yes
+                        AC_MSG_RESULT(found $XINCDIR)
+                else
+                        ENV_XINC=no
+                        AC_MSG_RESULT(not found - tried $XINCDIR_X11R6)
+                fi
+        else
+                XINCDIR=$XINCDIR_X11R7
+                ENV_XINC=yes
+                AC_MSG_RESULT(found $XINCDIR)
+        fi
+elif test -d $XINCDIR; then
+        ENV_XINC=yes
+        AC_MSG_RESULT(found $XINCDIR)
+else
+        ENV_XINC=no
+        AC_MSG_RESULT(not found - tried $XINCDIR)
+fi
+])
 
-if test x$ENV_XLIB != xno; then
+dnl --- End function for checking Xlib include environment ---
+
+dnl --- Begin function for checking Xlib details ---
+
+AC_DEFUN([AC_CHECK_XDETAIL],[
 
 SOMEERROR=0
 
@@ -54,66 +117,66 @@ echo $'\nChecking the X compiling environment in detail...\n'
 
 echo $'main(){}'|$CC -L$XLIBDIR -lX11 -xc - -o dum 2> /dev/null
 if test $? != 0 ; then
-   echo "Can not link with X11 (libX11.so) library!"
+   echo "Can not link with X11 $XLIBDIR/libX11.so library!"
    SOMEERROR=1
 else
-   echo "X11 OK"
+   echo "$XLIBDIR/libX11.so OK"
 fi
 
 echo $'main(){}'|$CC -L$XLIBDIR -lXext -xc - -o dum 2> /dev/null
 if test $? != 0 ; then
-   echo "Can not link with Xext (libXext.so) library!"
+   echo "Can not link with Xext $XLIBDIR/libXext.so library!"
    SOMEERROR=1
 else
-   echo "Xext OK"
+   echo "$XLIBDIR/libXext.so OK"
 fi
 
 echo $'main(){}'|$CC -L$XLIBDIR -lXi -xc - -o dum 2> /dev/null
 if test $? != 0 ; then
-   echo "Can not link with Xi (libXi.so) library!"
+   echo "Can not link with Xi $XLIBDIR/libXi.so library!"
    SOMEERROR=1
 else
-   echo "Xi OK"
+   echo "$XLIBDIR/libXi.so OK"
 fi
 
 echo $'main(){}'|$CC -L$XLIBDIR -lXtst -xc - -o dum 2> /dev/null
 if test $? != 0 ; then
-   echo "Can not link with Xtst (libXtst.so) library!"
+   echo "Can not link with Xtst $XLIBDIR/libXtst.so library!"
    SOMEERROR=1
 else
-   echo "Xtst OK"
+   echo "$XLIBDIR/libXtst.so OK"
 fi
 
-echo $'#include <X11/Xlib.h>\nmain(){}'|$CC -L$XLIBDIR -xc - -o dum 2> /dev/null
+echo $'#include <X11/Xlib.h>\nmain(){}'|$CC -I$XINCDIR -xc - -o dum 2> /dev/null
 if test $? != 0 ; then
-   echo "Can not include <X11/Xlib.h> header file!"
+   echo "Can not include $XINCDIR/X11/Xlib.h header file!"
    SOMEERROR=1
 else
-   echo "Xlib.h OK"
+   echo "$XINCDIR/X11/Xlib.h OK"
 fi
 
-echo $'#include <X11/Xutil.h>\nmain(){}'|$CC -L$XLIBDIR -xc - -o dum 2> /dev/null
+echo $'#include <X11/Xutil.h>\nmain(){}'|$CC -I$XINCDIR -xc - -o dum 2> /dev/null
 if test $? != 0 ; then
-   echo "Can not include <X11/Xutil.h> header file!"
+   echo "Can not include $XINCDIR/X11/Xutil.h header file!"
    SOMEERROR=1
 else
-   echo "Xutil.h OK"
+   echo "$XINCDIR/X11/Xutil.h OK"
 fi
 
-echo $'#include <X11/extensions/XInput.h>\nmain(){}'|$CC -L$XLIBDIR -xc - -o dum 2>/dev/null
+echo $'#include <X11/extensions/XInput.h>\nmain(){}'|$CC -I$XINCDIR -xc - -o dum 2>/dev/null
 if test $? != 0 ; then
-   echo "Can not include <X11/extensions/XInput.h> header file!"
+   echo "Can not include $XINCDIR/X11/extensions/XInput.h header file!"
    SOMEERROR=1
 else
-   echo "XInput.h OK"
+   echo "$XINCDIR/X11/extensions/XInput.h OK"
 fi
 
-echo $'#include <X11/extensions/XTest.h>\nmain(){}'|$CC -L$XLIBDIR -xc - -o dum 2>/dev/null
+echo $'#include <X11/extensions/XTest.h>\nmain(){}'|$CC -I$XINCDIR -xc - -o dum 2>/dev/null
 if test $? != 0 ; then
-   echo "Can not include <X11/extensions/XTest.h> header file!"
+   echo "Can not include $XINCDIR/X11/extensions/XTest.h header file!"
    SOMEERROR=1
 else
-   echo "XTest.h OK"
+   echo "$XINCDIR/X11/extensions/XTest.h OK"
 fi
 
 rm -f dum
@@ -131,14 +194,14 @@ else
    echo $'\nThe X compiling environment seems to be all OK\n'
 fi
 
-fi
 ])
 
-dnl --- End function for checking Xlib development environment ---
+dnl --- End function for checking Xlib details ---
 
-dnl --- Call function to check Xlib ---
+dnl --- Call functions to check X libraries and includes ---
 
 AC_CHECK_XLIB
+AC_CHECK_XINC
 
 dnl --- Check if we should build expresskeys (default yes) ---
 
@@ -149,12 +212,18 @@ AC_HELP_STRING([--enable-expresskeys], [Enable building expresskeys [[default=ye
        , enable_expresskeys=$EXPRESSKEYS_DEFAULT)
 if test "$enable_expresskeys" != "no"; then
        if test x$ENV_XLIB != xyes; then
-               echo "***"; echo "*** WARNING:";
-               echo "*** expresskeys requires Xlib environment."
-               echo "*** expresskeys will not be built."
-                echo "*** Try ./configure --with-xlib=/some/directory"
-                echo "*** if your Xlib environment is nonstandard."
-                echo "*** By default we look for /usr/X11R6/lib"
+               echo "***"; echo "*** WARNING libraries:";
+               echo "*** We failed to locate a full Xlib environment,"
+               echo "*** and will therefore not build expresskeys."
+                echo "*** Try './configure --with-xlib=/some/directory'"
+                echo "*** where your Xlib libraries can be found."
+                echo "*** By default we test what is returned from the"
+               echo "*** command 'pkg-config --variable=libdir x11'"
+               echo "*** which works in the modular X11R7 releases."
+               echo "*** If that fails, we try a hardcoded $XLIBDIR_X11R6"
+               echo "*** for the monolithic X11R6 releases. Both these"
+               echo "*** tests have obviously failed to produce a path."
+               echo "*** "
                echo "***"
                 exit
        else
@@ -162,6 +231,24 @@ if test "$enable_expresskeys" != "no"; then
                EXPRESSKEYS_LIBS="-L$XLIBDIR -lX11 -lXi -lXtst"
                SRC_DIRS="$SRC_DIRS $SRC_EXPRESSKEYS"
        fi
+       if test x$ENV_XINC != xyes; then
+               echo "***"; echo "*** WARNING include files:";
+               echo "*** We failed to locate a full Xlib environment,"
+               echo "*** and will therefore not build expresskeys."
+               echo "*** Try './configure --with-xinc=/some/directory'"
+               echo "*** where your Xlib include files can be found."
+               echo "*** By default we test what is returned from the"
+               echo "*** command 'pkg-config --variable=includedir x11'"
+               echo "*** which works in the modular X11R7 releases."
+               echo "*** If that fails, we try a hardcoded $XINCDIR_X11R6"
+               echo "*** for the monolithic X11R6 releases. Both these"
+               echo "*** tests have obviously failed to produce a path."
+               echo "*** "
+               echo "***"
+               exit
+       else
+               EXPRESSKEYS_INCL="-I$XINCDIR"
+       fi
 fi
 
 dnl --- Check if we should build expresskeysconf (default no - not ready) ---
@@ -173,26 +260,56 @@ AC_HELP_STRING([--enable-expresskeysconf], [Enable building a non-working dummy
        , enable_expresskeysconf=$EXPRESSKEYSCONF_DEFAULT)
 if test "$enable_expresskeysconf" != "no"; then
        if test x$ENV_XLIB != xyes; then
-               echo "***"; echo "*** WARNING:";
-               echo "*** expresskeysconf requires Xlib environment."
-               echo "*** expresskeysconf will not be built."
-                echo "*** Try ./configure --with-xlib=/some/directory"
-                echo "*** if your Xlib environment is nonstandard."
-                echo "*** By default we look for /usr/X11R6/lib"
-               echo "***"
+                echo "***"; echo "*** WARNING libraries:";
+                echo "*** We failed to locate a full Xlib environment,"
+                echo "*** and will therefore not build expresskeysconf."
+                echo "*** Try './configure --with-xlib=/some/directory'"
+                echo "*** where your Xlib libraries can be found."
+                echo "*** By default we test what is returned from the"
+                echo "*** command 'pkg-config --variable=libdir x11'"
+                echo "*** which works in the modular X11R7 releases."
+                echo "*** If that fails, we try a hardcoded $XLIBDIR_X11R6"
+                echo "*** for the monolithic X11R6 releases. Both these"
+                echo "*** tests have obviously failed to produce a path."
+                echo "*** "
+                echo "***"
                 exit
        else
                OPTION_EXPRESSKEYSCONF=yes
                EXPRESSKEYSCONF_LIBS="-L$XLIBDIR -lX11"
                SRC_DIRS="$SRC_DIRS $SRC_EXPRESSKEYSCONF"
        fi
+       if test x$ENV_XINC != xyes; then
+               echo "***"; echo "*** WARNING include files:";
+               echo "*** We failed to locate a full Xlib environment,"
+               echo "*** and will therefore not build expresskeysconf."
+               echo "*** Try './configure --with-xinc=/some/directory'"
+               echo "*** where your Xlib include files can be found."
+               echo "*** By default we test what is returned from the"
+               echo "*** command 'pkg-config --variable=includedir x11'"
+               echo "*** which works in the modular X11R7 releases."
+               echo "*** If that fails, we try a hardcoded $XINCDIR_X11R6"
+               echo "*** for the monolithic X11R6 releases. Both these"
+               echo "*** tests have obviously failed to produce a path."
+               echo "*** "
+               echo "***"
+               exit
+       else
+               EXPRESSKEYSCONF_INCL="-I$XINCDIR"
+       fi
 fi
 
+dnl --- Call function to check X in detail ---
+
+AC_CHECK_XDETAIL
+
 dnl --- Separate test output from file-generation output ---
 
 AC_SUBST(SRC_DIRS)
 AC_SUBST(EXPRESSKEYS_LIBS)
+AC_SUBST(EXPRESSKEYS_INCL)
 AC_SUBST(EXPRESSKEYSCONF_LIBS)
+AC_SUBST(EXPRESSKEYSCONF_INCL)
 
 dnl --- Create the files ---
 
@@ -205,11 +322,12 @@ dnl --- Show the result ---
 echo ""
 echo "----------------------------------------"
 echo "  BUILD ENVIRONMENT:"
-echo "            Xlib - $ENV_XLIB $XLIBDIR"
+echo "      X libraries - $ENV_XLIB $XLIBDIR"
+echo "       X includes - $ENV_XINC $XINCDIR"
 echo ""
 echo "  BUILD OPTIONS:"
-echo " expresskeysconf - $OPTION_EXPRESSKEYSCONF <-- (Non-working dummy file)"
-echo "     expresskeys - $OPTION_EXPRESSKEYS"
+echo "  expresskeysconf - $OPTION_EXPRESSKEYSCONF <-- (Non-working dummy file)"
+echo "      expresskeys - $OPTION_EXPRESSKEYS"
 echo "----------------------------------------"
 echo ""
 
index 3c70e9d..3f492d0 100644 (file)
@@ -2,7 +2,7 @@ CC = gcc
 CFLAGS = -O -g3 -Wall
 # Use -g3 to get full debug info
 
-INCLUDES = -I/usr/X11R6/lib
+INCLUDES = -I/usr/X11R6/include
 LDFLAGS = -L/usr/X11R6/lib
 LIBS = -lX11 -lXi -lXtst
 
index 5c48663..c9a1619 100644 (file)
@@ -2,7 +2,7 @@ CC = gcc
 CFLAGS = -O -g3 -Wall
 # Use -g3 to get full debug info
 
-INCLUDES = -I/usr/X11R6/lib
+INCLUDES = -I/usr/X11R6/include
 LDFLAGS = -L/usr/X11R6/lib
 LIBS = -lX11
 
index c2573fb..e0b87e7 100644 (file)
@@ -1,6 +1,8 @@
 ## Process this file with automake to produce Makefile.in
 
 AM_CFLAGS = -Wall
+AM_LDFLAGS = @EXPRESSKEYS_LIBS@
+AM_CPPFLAGS = @EXPRESSKEYS_INCL@
 
 bin_PROGRAMS = expresskeys
 
@@ -8,5 +10,3 @@ expresskeys_SOURCES = main_setup.c globals.c globals.h config_read.c \
        config_write.c event_loop.c exec_shell.c get_device.c on_error.c \
        on_signal.c pen_mode.c reg_events.c
 
-expresskeys_LDFLAGS = @EXPRESSKEYS_LIBS@
-
index 92d6933..cbaf563 100644 (file)
@@ -79,6 +79,7 @@ AWK = @AWK@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
+CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
@@ -86,8 +87,11 @@ DEPDIR = @DEPDIR@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
 ECHO_T = @ECHO_T@
+EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+EXPRESSKEYSCONF_INCL = @EXPRESSKEYSCONF_INCL@
 EXPRESSKEYSCONF_LIBS = @EXPRESSKEYSCONF_LIBS@
+EXPRESSKEYS_INCL = @EXPRESSKEYS_INCL@
 EXPRESSKEYS_LIBS = @EXPRESSKEYS_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
@@ -144,11 +148,12 @@ sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 AM_CFLAGS = -Wall
+AM_LDFLAGS = @EXPRESSKEYS_LIBS@
+AM_CPPFLAGS = @EXPRESSKEYS_INCL@
 expresskeys_SOURCES = main_setup.c globals.c globals.h config_read.c \
        config_write.c event_loop.c exec_shell.c get_device.c on_error.c \
        on_signal.c pen_mode.c reg_events.c
 
-expresskeys_LDFLAGS = @EXPRESSKEYS_LIBS@
 all: all-am
 
 .SUFFIXES:
index 2b9574f..fff0bf3 100644 (file)
@@ -160,7 +160,7 @@ int read_file_config(int *ip, FILE *fp)
                                                                                        } else {
                                                                                                *field_index = 0;
                                                                                                if (be_verbose) {
-                                                                                                       fprintf(stderr, "Illegal keycode (not 0 or 1) in Handle Touch Strips field <-- keycode IGNORED\n");
+                                                                                                       fprintf(stderr, "Illegal value (not 0 or 1) in Handle Touch Strips field <-- keycode IGNORED\n");
                                                                                                }
                                                                                        }
                                                                                } else {
index 2ea89d2..dd909b8 100644 (file)
@@ -29,7 +29,7 @@ XDevice *pad_device;
 XDevice *pen_device;
 
 char *our_prog_name;
-char *our_prog_version = "0.2.5"; /* Our version. Remember to change it! */
+char *our_prog_version = "0.2.6"; /* Our version. Remember to change it! */
 char *pen_name;
 char *total_config_dir;
 char *total_config_file;
index 6efaa0f..3517624 100644 (file)
@@ -1,10 +1,10 @@
 ## Process this file with automake to produce Makefile.in
 
 AM_CFLAGS = -Wall
+AM_LDFLAGS = @EXPRESSKEYSCONF_LIBS@
+AM_CPPFLAGS = @EXPRESSKEYSCONF_INCL@
 
 bin_PROGRAMS = expresskeysconf
 
 expresskeysconf_SOURCES = main_dummy.c
 
-expresskeysconf_LDFLAGS = @EXPRESSKEYSCONF_LIBS@
-
index d5c9991..664e75e 100644 (file)
@@ -75,6 +75,7 @@ AWK = @AWK@
 CC = @CC@
 CCDEPMODE = @CCDEPMODE@
 CFLAGS = @CFLAGS@
+CPP = @CPP@
 CPPFLAGS = @CPPFLAGS@
 CYGPATH_W = @CYGPATH_W@
 DEFS = @DEFS@
@@ -82,8 +83,11 @@ DEPDIR = @DEPDIR@
 ECHO_C = @ECHO_C@
 ECHO_N = @ECHO_N@
 ECHO_T = @ECHO_T@
+EGREP = @EGREP@
 EXEEXT = @EXEEXT@
+EXPRESSKEYSCONF_INCL = @EXPRESSKEYSCONF_INCL@
 EXPRESSKEYSCONF_LIBS = @EXPRESSKEYSCONF_LIBS@
+EXPRESSKEYS_INCL = @EXPRESSKEYS_INCL@
 EXPRESSKEYS_LIBS = @EXPRESSKEYS_LIBS@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
@@ -140,8 +144,9 @@ sharedstatedir = @sharedstatedir@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
 AM_CFLAGS = -Wall
+AM_LDFLAGS = @EXPRESSKEYSCONF_LIBS@
+AM_CPPFLAGS = @EXPRESSKEYSCONF_INCL@
 expresskeysconf_SOURCES = main_dummy.c
-expresskeysconf_LDFLAGS = @EXPRESSKEYSCONF_LIBS@
 all: all-am
 
 .SUFFIXES: